Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO_Reactive_Flushing_Strategy Class Reference

Implement a flushing strategy that uses the reactor. More...

`#include <Reactive_Flushing_Strategy.h>`

Inheritance diagram for TAO_Reactive_Flushing_Strategy:

[legend]
Collaboration diagram for TAO_Reactive_Flushing_Strategy:

[legend]
List of all members.

## Public Member Functions
virtual int | schedule_output (TAO_Transport *transport)
| Schedule the transport argument to be flushed.
virtual int | cancel_output (TAO_Transport *transport)
| Cancel all scheduled output for the transport argument.
virtual int | flush_message (TAO_Transport *transport, TAO_Queued_Message *msg, ACE_Time_Value *max_wait_time)
virtual int | flush_transport (TAO_Transport *transport)
| Wait until the transport has no messages queued.

## Detailed Description

Implement a flushing strategy that uses the reactor.

## Member Function Documentation

int TAO_Reactive_Flushing_Strategy::cancel_output | ( | TAO_Transport * | transport | ) | `[virtual]`

| Cancel all scheduled output for the transport argument. Implements TAO_Flushing_Strategy.

int TAO_Reactive_Flushing_Strategy::flush_message | ( | TAO_Transport * | transport,
|  | TAO_Queued_Message * | msg,
|  | ACE_Time_Value * | max_wait_time
| ) | `[virtual]`

| Wait until msg is sent out. Potentially other messages are flushed too, for example, because there are ahead in the queue. Implements TAO_Flushing_Strategy.

int TAO_Reactive_Flushing_Strategy::flush_transport | ( | TAO_Transport * | transport | ) | `[virtual]`

| Wait until the transport has no messages queued. Implements TAO_Flushing_Strategy.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL int TAO_Reactive_Flushing_Strategy::schedule_output | ( | TAO_Transport * | transport | ) | `[virtual]`

| Schedule the transport argument to be flushed. Implements TAO_Flushing_Strategy.

The documentation for this class was generated from the following files:

- Reactive_Flushing_Strategy.h
- Reactive_Flushing_Strategy.cpp